/**
 * @file Attributes.h
 * @author apio (cloudapio.eu)
 * @brief Macro wrappers around GCC attributes.
 *
 * @copyright Copyright (c) 2022-2023, the Luna authors.
 *
 */

#pragma once

#define _weak __attribute__((weak))
#define _format(n, m) __attribute__((format(printf, n, m)))
#define _align(x) __attribute__((aligned(x)))
